POST https://graph.microsoft.com/beta/print/shares/{id}/allowedGroups/$ref
Content-type: application/json
{
"@odata.id": "https://graph.microsoft.com/beta/groups/{id}"
}
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
var group = new Group
{
AdditionalData = new Dictionary<string, object>()
{
{"@odata.id", "https://graph.microsoft.com/beta/groups/{id}"}
}
};
await graphClient.Print.Shares["{printerShare-id}"].AllowedGroups.References
.Request()
.AddAsync(group);
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
Group group = new Group();
group.additionalDataManager().put("@odata.id", new JsonPrimitive("https://graph.microsoft.com/beta/groups/{id}"));
graphClient.print().shares("{id}").allowedGroups().references()
.buildRequest()
.post(group);